---
updatedAt: 2026-06-28T16:30:08.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/llms.txt
---

# createDeposit

A new method which allows us to create a deposit amount for either an agency or direct customer.

> 📘 Important
>
> Allow to send multiple elements for mass creation.
>
> Allow to send only one parameter:
>
> in case of direct customer use customeremail or customerid ;
>
> in case of agency  use agencyemail or agencyid.

## Request parameters

| Parameter      | Type     | Description                                                             |
| :------------- | :------- | :---------------------------------------------------------------------- |
| customeremail  | E-mail   | Customer email                                                          |
| customerid     | Number   | Customer ID (from getCustomerDataNew)                                   |
| agencyemail    | E-mail   | Agency email                                                            |
| agencyid       | Number   | Agency ID (from getAgency)                                              |
| currency       | String\* | Deposit Currency 3 letters code                                         |
| amount         | Number\* | Total amount to be added to Deposit account with the mentioned currency |
| additionalinfo | String   | Remark                                                                  |
| paymentmethod  | String   | Type of payment (Cash, Cheque, Debit Card, Bank Transfer)               |

## Response

This method will respond with a list of all available total deposit and it’s currency of the customer or agent.

| Parameter                | Type    | Description                                        |
| :----------------------- | :------ | :------------------------------------------------- |
| success                  | String  | true/false                                         |
| depositBalance           | Element | Customer/Agency Total Deposit details per Currency |
| customeremail/customerid | Element | Customer E-mail or ID that was sent in request     |
| agencyemail/agencyid     | Element | Agency E-mail or ID that was sent in request       |
| curencyname              | String  | Deposit Currency 3 letters code                    |
| amount                   | Number  | Total amount of Deposit with the mentioned currenc |

<br />

| Optional error messages:                                          |
| :---------------------------------------------------------------- |
| No \{field name} defined on segment \{i}                          |
| mandatory fields misssing: \{fields name}                         |
| You do not have permission to do this action                      |
| Company currency not found on segment \{i}                        |
| Please send customer/agency credential on segment \{i}            |
| Please choose to add deposit to customer or agent on segment \{i} |
| The amount parameter must be greater than zero on segment \{i}    |
| Customer not found on segment \{i}                                |
| Agency not found on segment \{i}                                  |
| Unexpected error, please try again later                          |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs-v5",
    "version": "5.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v5"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/createDeposit": {
      "post": {
        "summary": "createDeposit",
        "description": "A new method which allows us to create a deposit amount for either an agency or direct customer.",
        "operationId": "createdeposit",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "deposits": [
                          {
                            "customeremail": "iweitzman@go7.io",
                            "currency": "USD",
                            "amount": 10000000000
                          },
                          {
                            "customerid": 3064265,
                            "currency": "GBP",
                            "amount": 200000,
                            "additionalinfo": "customer Test1"
                          },
                          {
                            "agencyid": 51636,
                            "currency": "GBP",
                            "amount": 1000000,
                            "additionalinfo": "agency Test2"
                          },
                          {
                            "agencyemail": "auzbekov@go7.io",
                            "currency": "USD",
                            "amount": 500000,
                            "additionalinfo": "agency Test2"
                          }
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "JSON": {
                    "value": "{\n   \"aerocrs\":{\n      \"success\":true,\n      \"depositBalance\":{\n         \"iweitzman@go7.io\":[\n            {\n               \"curencyname\":\"USD\",\n               \"amount\":\"20000221387.31\"\n            },\n            {\n               \"curencyname\":\"EUR\",\n               \"amount\":\"10000119807.50\"\n            },\n            {\n               \"curencyname\":\"GBP\",\n               \"amount\":\"98646.88\"\n            },\n            {\n               \"curencyname\":\"ZAR\",\n               \"amount\":\"20.00\"\n            }\n         ],\n         \"3064265\":[\n            {\n               \"curencyname\":\"USD\",\n               \"amount\":\"494.12\"\n            },\n            {\n               \"curencyname\":\"EUR\",\n               \"amount\":\"40.00\"\n            },\n            {\n               \"curencyname\":\"GBP\",\n               \"amount\":\"200000.00\"\n            },\n            {\n               \"curencyname\":\"ZAR\",\n               \"amount\":\"6433.60\"\n            }\n         ],\n         \"51636\":[\n            {\n               \"curencyname\":\"USD\",\n               \"amount\":\"99977.46\"\n            },\n            {\n               \"curencyname\":\"EUR\",\n               \"amount\":\"100011.23\"\n            },\n            {\n               \"curencyname\":\"GBP\",\n               \"amount\":\"1000000.00\"\n            }\n         ],\n         \"auzbekov@go7.io\":[\n            {\n               \"curencyname\":\"USD\",\n               \"amount\":\"594715.13\"\n            },\n            {\n               \"curencyname\":\"EUR\",\n               \"amount\":\"99996476.34\"\n            },\n            {\n               \"curencyname\":\"ZAR\",\n               \"amount\":\"995254.60\"\n            }\n         ]\n      }\n   }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "depositBalance": {
                          "type": "object",
                          "properties": {
                            "51636": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "curencyname": {
                                    "type": "string",
                                    "example": "USD"
                                  },
                                  "amount": {
                                    "type": "string",
                                    "example": "99977.46"
                                  }
                                }
                              }
                            },
                            "3064265": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "curencyname": {
                                    "type": "string",
                                    "example": "USD"
                                  },
                                  "amount": {
                                    "type": "string",
                                    "example": "494.12"
                                  }
                                }
                              }
                            },
                            "iweitzman@go7.io": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "curencyname": {
                                    "type": "string",
                                    "example": "USD"
                                  },
                                  "amount": {
                                    "type": "string",
                                    "example": "20000221387.31"
                                  }
                                }
                              }
                            },
                            "auzbekov@go7.io": {
                              "type": "array",
                              "items": {
                                "type": "object",
                                "properties": {
                                  "curencyname": {
                                    "type": "string",
                                    "example": "USD"
                                  },
                                  "amount": {
                                    "type": "string",
                                    "example": "594715.13"
                                  }
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "security": []
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```